# Enum Class CRS.SeparationMode

Object
Enum<CRS.SeparationMode>
SeparationMode

All Implemented Interfaces:
  `Serializable, Comparable<CRS​.SeparationMode>, Constable`

Enclosing class:
  `CRS`

public static enum CRS.SeparationMode extends Enum<CRS.SeparationMode>
Action to take when a CRS cannot be separated in components at the requested dimensions. For example, a two-dimensional geographic CRS cannot be separated in a CRS containing only the latitude or only the longitude axis. If only the first dimension of such geographic CRS is requested, the action can be to throw an exception (`EXACT`), omit the unseparable geographic CRS from the separation result (`OMIT_UNSEPARABLE`), or keep the whole geographic CRS with all its dimensions (`WHOLE_UNSEPARABLE`).

Since:
  1.6
See Also:
  - `CRS​.selectDimensions(CoordinateReferenceSystem, BitSet, SeparationMode)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXACT`
  Separation result must contain exactly the requested dimensions.
  `OMIT_UNSEPARABLE`
  Separation result contains only the components that can satisfy the requested dimensions.
  `WHOLE_UNSEPARABLE`
  Separation result contains components for all the requested dimensions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CRS​.SeparationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CRS​.SeparationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXACT

    public static final CRS.SeparationMode EXACT
    Separation result must contain exactly the requested dimensions. If the request cannot be satisfied, then a `FactoryException` will be throw.

  - ### OMIT_UNSEPARABLE

    public static final CRS.SeparationMode OMIT_UNSEPARABLE
    Separation result contains only the components that can satisfy the requested dimensions. If a CRS cannot be separated in components at the requested dimensions, that CRS is excluded from the result. In other words, the result does not contain any dimension that was not requested, but some requested dimensions may be ignored.

  - ### WHOLE_UNSEPARABLE

    public static final CRS.SeparationMode WHOLE_UNSEPARABLE
    Separation result contains components for all the requested dimensions. The result contains all requested dimensions, but may also contain some dimensions that were not requested.

- ## Method Details

  - ### values

    public static CRS.SeparationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CRS.SeparationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null